View Issue Details

IDProjectCategoryView StatusLast Update
0002568CaseTalk ModelerDiagramspublic2020-07-05 22:14
ReporterBCP SoftwareAssigned ToBCP Software 
PrioritynormalSeveritycrashReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target Version10.2.1Fixed in Version10.2.1 
Summary0002568: Role alterations corrupt diagram
DescriptionAlter role played by disrupts diagram otft's.
TagsNo tags attached.
CaseTalk Editionunknown

Activities

BCP Software

BCP Software

2020-07-01 09:05

administrator   ~0001689

Workaround: After diagram corruption, hide all related OTFT's and add them back in.
BCP Software

BCP Software

2020-07-05 22:13

administrator   ~0001693

The reloading of roles overlooked the absence of tuples during re-drawing the otft.

Issue History

Date Modified Username Field Change
2020-07-01 09:04 BCP Software New Issue
2020-07-01 09:04 BCP Software Status new => assigned
2020-07-01 09:04 BCP Software Assigned To => BCP Software
2020-07-01 09:05 BCP Software Note Added: 0001689
2020-07-03 14:09 BCP Software Target Version 10.3 => 10.2.1
2020-07-05 22:13 BCP Software Status assigned => resolved
2020-07-05 22:13 BCP Software Resolution open => fixed
2020-07-05 22:13 BCP Software Fixed in Version => 10.2.1
2020-07-05 22:13 BCP Software Note Added: 0001693
2020-07-05 22:14 BCP Software Severity major => crash